<template>
  <v-dialog
      v-model="isNewUserPublished"
      width="500"
    >

      <v-card>
        <v-card-title class="text-h5 grey lighten-2">
          {{ $t('newUsers.newUserAdded') }}
        </v-card-title>

        <v-card-text v-for="user in newUsers" :key="user._id">
            {{ $t('newUsers.user') }} {{ user.name }}
            <v-btn
                color="primary"
                text
                @click="$emit('addNewUser', user)"
            >
                {{ $t('newUsers.addNewUser') }}
            </v-btn>
        </v-card-text>
      </v-card>
    </v-dialog>
</template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from 'vue-property-decorator'
import { User } from '@/types/user'


@Component({})
export default class NewUser extends Vue {
    @Prop() newUsers !: User[]
    private isNewUserPublished: boolean = false

    @Watch('newUsers')
    private onNewUsers(newUsers: User[]) {
        if (newUsers !== undefined && newUsers.length > 0) {
            this.isNewUserPublished = true;
        } else {
            this.isNewUserPublished = false;
        }
    }
}
</script>
